Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class SVGPropertyImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.SVGPropertyImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, SVGProperty

    public class SVGPropertyImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements SVGProperty

An implementation of the model object 'SVG Property'.

The following features are implemented:

- `Query`
- `Attribute`
- `Type`
- `Getter`
- `Setter`
- `Call Super`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected java.lang.String` `attribute` The cached value of the '`Attribute`' attribute
`protected static java.lang.String` `ATTRIBUTE_EDEFAULT` The default value of the '`Attribute`' attribute
`protected static boolean` `CALL_SUPER_EDEFAULT` The default value of the '`Call Super`' attribute
`protected boolean` `callSuper` The cached value of the '`Call Super`' attribute
`protected java.lang.String` `getter` The cached value of the '`Getter`' attribute
`protected static java.lang.String` `GETTER_EDEFAULT` The default value of the '`Getter`' attribute
`protected java.lang.String` `query` The cached value of the '`Query`' attribute
`protected static java.lang.String` `QUERY_EDEFAULT` The default value of the '`Query`' attribute
`protected java.lang.String` `setter` The cached value of the '`Setter`' attribute
`protected static java.lang.String` `SETTER_EDEFAULT` The default value of the '`Setter`' attribute
`protected SVGPropertyType` `type` The cached value of the '`Type`' attribute
`protected static SVGPropertyType` `TYPE_EDEFAULT` The default value of the '`Type`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `SVGPropertyImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getAttribute()`
`java.lang.String` `getGetter()`
`java.lang.String` `getQuery()`
`java.lang.String` `getSetter()`
`SVGPropertyType` `getType()`
`boolean` `isCallSuper()`
`void` `setAttribute(java.lang.String newAttribute)`
`void` `setCallSuper(boolean newCallSuper)`
`void` `setGetter(java.lang.String newGetter)`
`void` `setQuery(java.lang.String newQuery)`
`void` `setSetter(java.lang.String newSetter)`
`void` `setType(SVGPropertyType newType)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### QUERY_EDEFAULT

    protected static final java.lang.String QUERY_EDEFAULT

  The default value of the '`Query`' attribute.

  See Also:
    `getQuery()`
  ** Generated **
  Ordered:

### query

    protected java.lang.String query

  The cached value of the '`Query`' attribute.

  See Also:
    `getQuery()`
  ** Generated **
  Ordered:

### ATTRIBUTE_EDEFAULT

    protected static final java.lang.String ATTRIBUTE_EDEFAULT

  The default value of the '`Attribute`' attribute.

  See Also:
    `getAttribute()`
  ** Generated **
  Ordered:

### attribute

    protected java.lang.String attribute

  The cached value of the '`Attribute`' attribute.

  See Also:
    `getAttribute()`
  ** Generated **
  Ordered:

### TYPE_EDEFAULT

    protected static final SVGPropertyType TYPE_EDEFAULT

  The default value of the '`Type`' attribute.

  See Also:
    `getType()`
  ** Generated **
  Ordered:

### type

    protected SVGPropertyType type

  The cached value of the '`Type`' attribute.

  See Also:
    `getType()`
  ** Generated **
  Ordered:

### GETTER_EDEFAULT

    protected static final java.lang.String GETTER_EDEFAULT

  The default value of the '`Getter`' attribute.

  See Also:
    `getGetter()`
  ** Generated **
  Ordered:

### getter

    protected java.lang.String getter

  The cached value of the '`Getter`' attribute.

  See Also:
    `getGetter()`
  ** Generated **
  Ordered:

### SETTER_EDEFAULT

    protected static final java.lang.String SETTER_EDEFAULT

  The default value of the '`Setter`' attribute.

  See Also:
    `getSetter()`
  ** Generated **
  Ordered:

### setter

    protected java.lang.String setter

  The cached value of the '`Setter`' attribute.

  See Also:
    `getSetter()`
  ** Generated **
  Ordered:

### CALL_SUPER_EDEFAULT

    protected static final boolean CALL_SUPER_EDEFAULT

  The default value of the '`Call Super`' attribute.

  See Also:
    `isCallSuper()`, Constant Field Values
  ** Generated **
  Ordered:

### callSuper

    protected boolean callSuper

  The cached value of the '`Call Super`' attribute.

  See Also:
    `isCallSuper()`
  ** Generated **
  Ordered:

Constructor Detail

### SVGPropertyImpl

    protected SVGPropertyImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getQuery

    public java.lang.String getQuery()

  Specified by:
    `getQuery` in interface `SVGProperty`
  Returns:
    the value of the 'Query' attribute.
  See Also:
    `SVGProperty.setQuery(String)`, `GMFGraphPackage.getSVGProperty_Query()`
  ** Generated **

### setQuery

    public void setQuery(java.lang.String newQuery)

  Specified by:
    `setQuery` in interface `SVGProperty`
  Parameters:
    `newQuery` - the new value of the 'Query' attribute.
  See Also:
    `SVGProperty.getQuery()`
  ** Generated **

### getAttribute

    public java.lang.String getAttribute()

  Specified by:
    `getAttribute` in interface `SVGProperty`
  Returns:
    the value of the 'Attribute' attribute.
  See Also:
    `SVGProperty.setAttribute(String)`, `GMFGraphPackage.getSVGProperty_Attribute()`
  ** Generated **

### setAttribute

    public void setAttribute(java.lang.String newAttribute)

  Specified by:
    `setAttribute` in interface `SVGProperty`
  Parameters:
    `newAttribute` - the new value of the 'Attribute' attribute.
  See Also:
    `SVGProperty.getAttribute()`
  ** Generated **

### getType

    public SVGPropertyType getType()

  Specified by:
    `getType` in interface `SVGProperty`
  Returns:
    the value of the 'Type' attribute.
  See Also:
    `SVGPropertyType`, `SVGProperty.setType(SVGPropertyType)`, `GMFGraphPackage.getSVGProperty_Type()`
  ** Generated **

### setType

    public void setType(SVGPropertyType newType)

  Specified by:
    `setType` in interface `SVGProperty`
  Parameters:
    `newType` - the new value of the 'Type' attribute.
  See Also:
    `SVGPropertyType`, `SVGProperty.getType()`
  ** Generated **

### getGetter

    public java.lang.String getGetter()

  Specified by:
    `getGetter` in interface `SVGProperty`
  Returns:
    the value of the 'Getter' attribute.
  See Also:
    `SVGProperty.setGetter(String)`, `GMFGraphPackage.getSVGProperty_Getter()`
  ** Generated **

### setGetter

    public void setGetter(java.lang.String newGetter)

  Specified by:
    `setGetter` in interface `SVGProperty`
  Parameters:
    `newGetter` - the new value of the 'Getter' attribute.
  See Also:
    `SVGProperty.getGetter()`
  ** Generated **

### getSetter

    public java.lang.String getSetter()

  Specified by:
    `getSetter` in interface `SVGProperty`
  Returns:
    the value of the 'Setter' attribute.
  See Also:
    `SVGProperty.setSetter(String)`, `GMFGraphPackage.getSVGProperty_Setter()`
  ** Generated **

### setSetter

    public void setSetter(java.lang.String newSetter)

  Specified by:
    `setSetter` in interface `SVGProperty`
  Parameters:
    `newSetter` - the new value of the 'Setter' attribute.
  See Also:
    `SVGProperty.getSetter()`
  ** Generated **

### isCallSuper

    public boolean isCallSuper()

  Specified by:
    `isCallSuper` in interface `SVGProperty`
  Returns:
    the value of the 'Call Super' attribute.
  See Also:
    `SVGProperty.setCallSuper(boolean)`, `GMFGraphPackage.getSVGProperty_CallSuper()`
  ** Generated **

### setCallSuper

    public void setCallSuper(boolean newCallSuper)

  Specified by:
    `setCallSuper` in interface `SVGProperty`
  Parameters:
    `newCallSuper` - the new value of the 'Call Super' attribute.
  See Also:
    `SVGProperty.isCallSuper()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.